import { AxiosRequestConfig, AxiosResponse } from 'axios';
export interface AxiosHooks {
    requestSuccessHook?: (config: AxiosRequestConfig) => AxiosRequestConfig;
    requestErrorHooks?: (error: any) => Promise<any>;
    responseSuccessHooks?: (response: AxiosResponse<any>) => AxiosResponse<any>;
    responseErrorHooks?: (error: any) => Promise<any>;
}
export declare const defaultHooks: {
    requestSuccessHook: (config: AxiosRequestConfig) => AxiosRequestConfig;
    requestErrorHooks: (error: any) => Promise<never>;
    responseSuccessHooks: (response: any) => any;
    responseErrorHooks: (error: any) => Promise<never>;
};
export declare const httpAxios: (options?: AxiosRequestConfig, hooks?: AxiosHooks) => import("axios").AxiosInstance;
//# sourceMappingURL=httpAxios.d.ts.map