var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import usePagination from './usePagination';
function useLoadMore(service, config) {
    const _a = usePagination(service, config), { dataArray, params } = _a, response = __rest(_a, ["dataArray", "params"]);
    const [list, setList] = React.useState([]);
    React.useEffect(() => {
        if ((params === null || params === void 0 ? void 0 : params.page) === 1) {
            setList(dataArray);
        }
        else {
            setList([...list, ...dataArray]);
        }
    }, [dataArray]);
    return Object.assign({ list,
        dataArray,
        params }, response);
}
export default useLoadMore;
//# sourceMappingURL=useLoadMore.js.map