import { ServiceCombin, ServiceResult, Response } from './type';
export declare const genarateServiceConfig: <Params, Data>(service: ServiceCombin<Params, Data>) => ServiceResult<Params, Data>;
export declare const contrastServiceParams: (preService: any, curService: any) => any;
export declare const getServiceParams: <Params, Data>(service: ServiceCombin<Params, Data>) => any;
export declare const mergeServiceParams: <Params, Data>(preServiceConfig: ServiceResult<Params, Data>, mergeParams: object) => ServiceResult<Params, Data>;
export declare const getDisasterRecoveryData: <Data>(axiosResponse: Response<Data> | undefined, isBlob?: boolean) => {
    responseBlob: Response<Data> | null | undefined;
    responseArray: Response<Data[]>;
    responseJson: Response<Data>;
    dataArray: Data[];
    dataJson: Data;
};
export declare type fetcherFn<Data> = ((...args: any) => Data | Promise<Data>) | null;
export declare const fetcherWarpper: (fetcher: any) => (<Data>(axiosConfigString: any) => fetcherFn<Data>) | undefined;
export declare const getParams: <Params>(objectService: any) => Params | undefined;
//# sourceMappingURL=utils.d.ts.map