var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import AxiosService from './axios.service';
import { httpAxios } from './httpAxios';
describe('AxiosService', () => {
    it('AxiosService match normal', () => __awaiter(void 0, void 0, void 0, function* () {
        const axiosServiceInstance = new AxiosService();
        const httpInstance = httpAxios();
        axiosServiceInstance.setAixosInstance(httpInstance);
        expect(axiosServiceInstance.getAixosInstance()).toBe(httpInstance);
    }));
});
//# sourceMappingURL=axios.service.test.js.map