import { isArray } from 'friday-helpers';
const mergeParasm = (headParams, lastParams) => {
    if (isArray(headParams)) {
        return headParams.map(h => (Object.assign(Object.assign({}, h), lastParams)));
    }
    return Object.assign(Object.assign({}, headParams), lastParams);
};
export const createGetApi = (apiConfig) => {
    return (headParams, otherSet = {}) => (lastParams = {}) => {
        const nextParams = Object.assign(Object.assign({}, headParams), lastParams);
        return Object.assign(Object.assign(Object.assign({}, apiConfig), { params: nextParams, method: 'get' }), otherSet);
    };
};
export const createPostApi = (apiConfig) => {
    return (headParams, otherSet = {}) => (lastParams = {}) => {
        const nextData = mergeParasm(headParams, lastParams);
        return Object.assign(Object.assign(Object.assign({}, apiConfig), { data: nextData, method: 'post' }), otherSet);
    };
};
//# sourceMappingURL=genarateApi.js.map